# PagedComponent

fun < T > PagedComponent (preload: PaginationResult < T >, loader: suspend PagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, block: PagedComponentContext < T >.( PaginationResult < T >) -> Unit )(source)

Overloaded composable function for paginated components with preloaded data.

#### Parameters

T

The type of paginated data.

preload

Preloaded pagination result.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data.

fun < T > PagedComponent (pageInfo: Pagination , loader: suspend PagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, block: PagedComponentContext < T >.( PaginationResult < T >) -> Unit )(source)

Overloaded composable function for paginated components with pagination info.

#### Parameters

T

The type of paginated data.

pageInfo

Initial pagination information.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data.

fun < T > PagedComponent (initialPage: Int , size: Int , loader: suspend PagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, block: PagedComponentContext < T >.( PaginationResult < T >) -> Unit )(source)

Overloaded composable function for paginated components with an initial page.

#### Parameters

T

The type of paginated data.

initialPage

Initial page number.

size

Number of items per page.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data.

fun < T > PagedComponent (size: Int , loader: suspend PagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, block: PagedComponentContext < T >.( PaginationResult < T >) -> Unit )(source)

Overloaded composable function for paginated components with only a size parameter.

#### Parameters

T

The type of paginated data.

size

Number of items per page.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data.